Package Gnumed :: Package business :: Module gmPathLab :: Class cMeasurementType |
[frames] | no frames]

# Class cMeasurementType

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cMeasurementType

Represents one test result type.

Instance Methods
get_most_recent_results(self, patient=None, no_of_results=1) | source code
format(self, patient=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| in_use
| test_panels
Inherited from `object`: `__class__`

Method Details

### format(self, patient=None) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Property Details

### in_use Get Method: _get_in_use(self) Set Method: unreachable(x)

### test_panels Get Method: _get_test_panels(self) Set Method: unreachable(x)